Skip to main content
GET
/
audits
/
{auditId}
/
integrations
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listIntegrations({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "pageInfo": {
      "hasNextPage": true,
      "hasPreviousPage": false,
      "startCursor": "github",
      "endCursor": "github"
    },
    "data": [
      {
        "id": "github",
        "name": "GitHub",
        "tags": [
          "Vulnerabilities",
          "Code changes"
        ],
        "categories": [
          "Version control systems"
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

The audit ID

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of results per page (1-100, default 10) Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search term for filtering by integration name

tagsMatchesAny
enum<string>[]

Filter integrations by tag values

Available options:
ACCESS,
COMPUTERS,
CUSTOM_RESOURCE,
DATA_LOSS_PREVENTION,
DOCUMENTS,
DOCUMENT_UPLOAD,
FRAMEWORK,
GROUPS,
INVENTORY,
NOTIFICATIONS,
PEOPLE,
POLICIES,
SECURITY_AWARENESS_TRAINING,
SECURITY_SCANNER_ALERTS,
SSO,
TASK_CREATION,
TASK_TRACKING,
TRUST_CENTER,
VENDOR_DISCOVERY,
VENDOR_PROCUREMENT,
VULNERABILITIES
categoriesMatchesAny
enum<string>[]

Filter integrations by category values

Available options:
ATS_MERGE_ACCOUNT,
BACKGROUND_CHECK_SERVICE,
CLOUD_PROVIDER,
COMMUNICATION_PLATFORM,
CRM_MERGE_ACCOUNT,
CRM_PLATFORM,
DATASTORE_PROVIDER,
DATA_LOSS_PREVENTION,
DATA_WAREHOUSE_PROVIDER,
DOCUMENT_MANAGEMENT_TOOL,
ENDPOINT_SECURITY_TOOL,
HR_PROVIDER,
IDENTITY_PROVIDER,
INCIDENT_MANAGEMENT_TOOL,
MOBILE_DEVICE_MANAGEMENT_TOOL,
MONITORING_SERVICE,
OTHER_INTEGRATION,
SECURITY_AWARENESS_TRAINING_PROVIDER,
SECURITY_SCANNER_ALERTS,
TASK_TRACKER,
VERSION_CONTROL_SYSTEM,
VULNERABILITY_SCANNER

Response

200 - application/json

Paginated list of integrations with pagination metadata

results
object
required